body, html {
    height: 100%;
    background: #343F4F;
    /*background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url("images/background2.jpg");
    align-items: center;
    justify-content: center;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;*/

}

*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}


/* Hero Image*/
.header {
  background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url("images/header.jpg");

  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
}

.header p{
  margin: 0;
  font-size: 18px;
  font-weight: 700;
  font-weight: bold;
}
.header .mainte{
  font-family: 'M PLUS Rounded 1c', sans-serif;
  font-weight: 500;
}
.pacman {
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background: #f2d648;
  
}
.pacman__mouth {
  background: #000;
  width: 100%;
  height: 100%;
  animation-name: eat;
  animation-duration: 0.7s;
  animation-iteration-count: infinite;
  clip-path: polygon(100% 74%, 44% 48%, 100% 21%);
}
@keyframes eat {
  0% {
    clip-path: polygon(100% 74%, 44% 48%, 100% 21%);
  }
  25% {
    clip-path: polygon(100% 60%, 44% 48%, 100% 40%);
  }
  50% {
    clip-path: polygon(100% 50%, 44% 48%, 100% 50%);
  }
  75% {
    clip-path: polygon(100% 59%, 44% 48%, 100% 35%);
  }
  100% {
    clip-path: polygon(100% 74%, 44% 48%, 100% 21%);
  }
}
.header h1{
  font-family: 'Acme', sans-serif;
  font-size: 60px;
}

h1{
  font-family: 'Lusitana', serif;
}
.navbar-brand span{
  font-family: 'Acme', sans-serif;
}

.dev-container{
  display: flex;
  align-items: center;
  justify-content: center;
  background: #343F4F;
}
.dev-body{
  display: inline-block;
}
.dev-body .dev{
  color: #fff;
  font-size: 60px;
  margin-top: -20px;
}
.dev-body .dev-list{
  margin-left: 15px;
  height: 30px;
  line-height: 30px;
  overflow: hidden;
  padding-right: 20px;
}
.dev-list li{
  color: #FC6D6D;
  list-style: none;
  font-size: 20px;
  font-weight: 500;
  position: relative;
  top: 0;
  animation: slide 6s steps(4) infinite;
}
@keyframes slide{
  100%{
    top: -120px;
  }
}
.dev-list li span{
  position: relative;
}
.dev-list li span::after{
  content: "";
  position: absolute;
  left: 0;
  height: 100%;
  width: 100%;
  background: #343F4F;
  
  animation: typing 1.5s steps(8) infinite;
}
@keyframes typing{
  100%{
    left: 100%;
    margin: 0 -35px 0 35px;
  }
}

#aboutMe{
  padding-bottom: 100px;

}

#aboutMe .img-container{
  max-height: 350px;
}
#aboutMe .whos{
  font-family: 'Domine', serif;
  font-weight: 500;
}

#aboutMe h3{
  font-family: 'Shadows Into Light', cursive;
  font-size: 35px;
}
.img-container img{
  background-position: center;
  background-size: cover;
  position: relative;
  overflow: hidden;
  width: 100%;
  height: 100%;
  border: solid 2px white;
  margin: 0;
}
#aboutMe span{
   text-decoration: underline;
   font-size: 30px;
   color: #FC6D6D;
}

#aboutMe p{
  font-family: 'M PLUS Rounded 1c', sans-serif;
  font-size: 25px;
  text-align: justify;
}
.button-detail{
 color: white;
 font-weight: 700;
 border-color: #FC6D6D;
 border-radius: 20px;
}


/*Nav*/
#navLink:hover{
  color: darkred;
}


/*Projects*/
.cardSection h1{
  font-size: 50px;
}
#project{
  background:linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url("images/project1.jpg");
  align-items: center;
  justify-content: center;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;

  border-top-left-radius: 165px 140px;
  border-top-right-radius: 165px 140px;
  border-bottom-left-radius: 110px 19px;
  border-bottom-right-radius: 120px 24px;
}
#row{
    align-items: center;
    justify-items: center;
    color: white;
}
.card {
  margin-top: 50px;
  text-align: left;
  background: #242625;
  border-radius: 10px;
  width: 300px;
  box-shadow: 25px 25px 50px #1b1c1b, -25px -25px 50px #2d302f;
}
.card:hover{
  margin-top: -10px;
}
.carousel-inner{
  height: 250px;
}
.carousel-item{
  height: 250px;
}


label{
  font-size: 15px;
}


.card-img{
  width: 100% !important;
  height: auto;
  object-fit: cover;
  }
.card-body h2{
  font-family: 'Arvo', serif;
  color: #fff;

}  
/*Form*/
#contact{
  padding-top: 50px;
}
.form{
  background: #fff;
  border-radius: 5px;
  padding-left: 12px;
  padding-right: 12px;
}
.form-header{
  background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url("images/contact1.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  overflow: hidden;

  background-position: center;
  background-size: cover;
  position: relative;
  overflow: hidden;
  padding: 10px;

}

.form-header legend{
  font-family: 'Arvo', serif;
  font-size: 30px;
  color: #fff;
  line-height: 1.2;
  text-transform: uppercase;

  padding: 30px 15px 30px 15px;
}
.form-control{
  background: transparent;
  font-family: Montserrat-Regular;
  font-size: 15px;
  color: #333333;
  line-height: 1.2;
}

.form-button{
  font-family: Montserrat-Bold;
  font-size: 12px;
  color: #fff;
  line-height: 1.2;
  text-transform: uppercase;

  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 20px;
  min-width: 160px;
  height: 42px;
  border-radius: 21px;
  background: #846add;

  box-shadow: 0 10px 30px 0px rgba(132, 106, 221, 0.5);
}

.form-button:hover{
  background: #333333;
  box-shadow: 0 10px 30px 0px rgba(51, 51, 51, 0.5);
}

.map-container{
  max-width: 700px;
}
.map{
  border-radius: 10px;
  width: 100%;
}


/* Footer */
.copyright{
  background-color: white;
  text-align: right;
  font-size: 14px;
  padding-left: 20px;
}
.copyLogo{
  font-size: 10px;
}

footer .btn{
  border-radius: 50%;
  font-size: 12px;
  box-shadow: 3px 3px 5px #aaaaaa;
}

footer .btn:hover{
  margin-top: -10px;
}
footer span{
  display: none;
}

#facebook{
  background-color: #3b5998;
}

#twitter{
  background-color: #55acee;
}

#gmail{
  background-color: #dd4b39;
}

#discord{
  background-color: #3b5998;
}

#linkedIn{
  background-color: #0082ca;
}

#github{
  background-color: #333333;
}

.car-proj1-img1{
  background-image: url("images/project1_1.PNG");
  background-position: center;
  background-size: cover;
  position: relative;
  overflow: hidden;
  padding: 10px;
  width: 100%;
}
.car-proj1-img2{
  background-image: url("images/project1_2.PNG");
  background-position: center;
  background-size: cover;
  position: relative;
  overflow: hidden;
  padding: 10px;
  width: 100%;
}
.car-proj2-img1{
  background-image: url("images/project2_1.PNG");
  background-size: cover;
  position: relative;
}
.car-proj2-img2{
  background-image: url("images/project2_2.PNG");
  background-size: cover;
}
.car-proj3-img1{
  background-image: url("images/project3_1.PNG");
  background-size: cover;
}
.car-proj3-img2{
  background-image: url("images/project3_2.PNG");
  background-size: cover;
}
.car-proj4-img1{
  background-image: url("images/orig.PNG");
  background-position: center;
  background-size: cover;
  position: relative;
  overflow: hidden;
  padding: 10px;
  width: 100%;

}
.car-proj4-img2{
  background-image: url("images/project4_2.PNG");
  background-position: center;
  background-size: cover;
  position: relative;
  overflow: hidden;
  padding: 10px;
  width: 100%;
}

/*Updated Version*/
.apiTester h5{
  display: inline-block;
}

.apiTester span{
  text-decoration: underline;
  font-style: italic;
  font-size: 20px;
}

.langUsed h4{
  display: inline-block;
}

.langUsed span{
  text-decoration: underline;
  font-style: italic;
  font-size: 24px;
}
.hosted h5{
  display: inline-block;
}

.hosted span{
  text-decoration: underline;
  font-style: italic;
  font-size: 20px;
}

.toolsList{
  font-size: 20px;
}

.sourceCode{
  width: 100%;
  font-weight: 500;
  font-size: 16px;
  border-radius: 25px;
}

.mern{
  font-size: 20px;
}
